##################################################################
#
#   makefile
# 
#   for the MARS software
#
##################################################################
# @maintitle

# @code

#
#  please change all system depend values in the 
#  config.mk.${OSTYPE} file 
#
#
include ../Makefile.conf.$(OSTYPE)
include ../Makefile.conf.general

# @endcode 

INCLUDES = -I. -I.. -I../base -I../mars
#base: MString

# @code 

CINT     = Caos
LIB      = caos.a

#------------------------------------------------------------------------------

.SUFFIXES: .c .cc .cxx .h .hxx .o 

SRCFILES = Led.cc \
           Leds.cc \
           Ring.cc \
           Rings.cc

SRCS        = $(SRCFILES)
HEADERS     = $(SRCFILES:.cc=.h)
OBJS        = $(SRCFILES:.cc=.o) 
CINTHEADERS = $(HEADERS)

############################################################

all: $(LIB)

include ../Makefile.rules

clean:	rmlib rmcint rmobjs rmcore

mrproper:	clean rmbak

# @endcode

